Bug 167145 - redhat-config-netboot cannot load help due to wrong VERSION in netboot_util.py
redhat-config-netboot cannot load help due to wrong VERSION in netboot_util.py
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: system-config-netboot (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-30 18:48 EDT by Will Woods
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: U6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 11:33:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2005-08-30 18:48:41 EDT
When using redhat-config-netboot-0.1.26-1_EL3, pressing F1 for help (or using
the Help menu item) will result in an error message saying:

The file /usr/share/doc/redhat-config-netboot-0.1.14/index.html cannot be found.
Please check the location and try again.

This path is set in redhat-config-netboot.py as:
page = "file:///usr/share/doc/"+ PROGNAME + "-" + VERSION + "/index.html"

VERSION is set in netboot_util.py:
VERSION = "0.1.14"

This needs to be changed to match the version of the package.
Comment 1 Jason Vas Dias 2005-08-31 14:38:00 EDT
The netboot_util.py was meant to be generated from automake + autoconf, but was
not being so.
The build of {redhat,system}-config-netboot now uses automake + autoconf, and
generates the correct VERSION string.
This bug is now fixed with versions:
   redhat-config-netboot-0.1.30-1
   system-config-netboot-0.1.32-1
Do you want me to respin the 484 and 486 errata with these new packages ?


 

Note You need to log in before you can comment on or make changes to this bug.